[parted-devel] [PATCH 6/7] tests/t3200: Change dev_size_mb to 10

Brian C. Lane bcl at redhat.com
Tue Jul 13 00:55:12 BST 2021


This is backed by memory, so using more than is needed limits the size
of the system it can run on.
---
 tests/t3200-type-change.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/t3200-type-change.sh b/tests/t3200-type-change.sh
index 39904e0..3ad8604 100755
--- a/tests/t3200-type-change.sh
+++ b/tests/t3200-type-change.sh
@@ -25,7 +25,7 @@ grep '^#define USE_BLKID 1' "$CONFIG_HEADER" > /dev/null ||
   skip_ 'this system lacks a new-enough libblkid'
 
 # create memory-backed device
-scsi_debug_setup_ dev_size_mb=550 > dev-name ||
+scsi_debug_setup_ dev_size_mb=10 > dev-name ||
   skip_ 'failed to create scsi_debug device'
 scsi_dev=$(cat dev-name)
 
@@ -34,7 +34,7 @@ scsi_dev=$(cat dev-name)
 # partition and ensure that parted doesn't "helpfully" change the partition
 # type to match the newly-detected FS type.
 
-parted -s $scsi_dev mklabel msdos mkpart primary fat32 64s 80000s || fail=1
+parted -s $scsi_dev mklabel msdos mkpart primary fat32 1MiB 100%  || fail=1
 
 parted -s $scsi_dev u s p
 
-- 
2.31.1




More information about the parted-devel mailing list